#ifndef OFEN_PATH_HEADER
#define OFEN_PATH_HEADER

#include "of_def.hpp"

namespace ofen {
class COfPath
{
public:
    COfPath();
    ~COfPath();

public:
    static bool isSamePath(const ofString& pa, const ofString& pb);
    static ofString normalizePath(const ofString& path);
    static ofString replaceStr(const ofString& str, const ofString& from, const ofString& to);
    static ofString getFullRunPath();
    static ofString getHome();
    static ofString getConfigDir(const ofString& sub_dir, bool create = false);
    static ofString getFull(const ofString& path, const ofString& sub_file_path);
    static bool isExist(const ofString& path);
    static bool writeBin(const ofString& path, const char* data, int len);
};
};   // namespace ofen
#endif