#include <iostream>
#include "of_path.h"
#include <cassert>

using namespace ofen;

void testA() 
{
    assert(COfPath::isSamePath(ofT("D:/Java"), ofT("D:\\Java\\")));
}

void testB()
{
    auto home = COfPath::getHome();
    assert(!home.empty());

    auto rp = COfPath::replaceStr(ofT("cpp/z"), ofT("p/"), ofT("Ni"));
    assert(rp == ofT("cpNiz"));
}

int main()
{
    testA();
    testB();
    std::cout << "Done" << std::endl;
    return 0;
}